Consultar documento
curl --request GET \
--url https://api.malga.io/v1/sellers/documents/{documentId} \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>'const options = {method: 'GET', headers: {'X-Client-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.malga.io/v1/sellers/documents/{documentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.malga.io/v1/sellers/documents/{documentId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Client-Id", "<api-key>")
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"type": "SELFIE",
"status": "uploaded",
"expiresAt": "2026-04-15T18:00:00.000Z"
}{
"error": {
"type": "api_error",
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}Sellers
Consultar documento
Retorna os detalhes de um documento. Documentos expirados retornam 404.
GET
/
v1
/
sellers
/
documents
/
{documentId}
Consultar documento
curl --request GET \
--url https://api.malga.io/v1/sellers/documents/{documentId} \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>'const options = {method: 'GET', headers: {'X-Client-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.malga.io/v1/sellers/documents/{documentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.malga.io/v1/sellers/documents/{documentId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Client-Id", "<api-key>")
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"type": "SELFIE",
"status": "uploaded",
"expiresAt": "2026-04-15T18:00:00.000Z"
}{
"error": {
"type": "api_error",
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}Path Parameters
ID do documento
Response
Detalhes do documento
Identificador do documento
Tipo do documento
Available options:
SELFIE, CNH_FULL, CNH_FRONT, CNH_BACK, RG_FRONT, RG_BACK Status do documento:
uploaded: documento enviado, aguardando associação com sellerattached: documento associado a um seller, aguardando envio ao provedorsent: documento enviado ao provedor com sucesso
Available options:
uploaded, attached, sent Data de expiração do documento (7 dias após upload)
Related topics
Abr 08, 2026 - Upload de documentos para SellersRealizar nova cobrançaConsultar um recebedor pelo IDConsultar recebedores por listagem paginadaWas this page helpful?